pci_scan_slot
Prev | PCI Support Library | Next

## Name

pci_scan_slot — scan a PCI slot on a bus for devices.

## Synopsis

`int pci_scan_slot (` | struct pci_bus * | bus,
| int | devfn`)`;

## Arguments

`bus`

  PCI bus to scan

`devfn`

  slot number to scan (must have zero function.)

## Description

Scan a PCI slot on the specified PCI bus for devices, adding discovered devices to the `bus`->devices list. New devices will have an empty dev->global_list head.

Prev | Up | Next
pci_bus_add_devices | Home | pci_map_rom